#ifndef TREESTRINGCLASS_H
#define TREESTRINGCLASS_H

enum treeNodeType
{
	Leaf,
	Branch
};

class treeNode
{
public:
	treeNode();
	void reset();
	treeNode *parent;
	treeNode *child1, *child2;
	int frequency;
	int code;
	int codeLength;
	char ASCII;
};

class treeString
{
private:
	int **data;
	int highestDepth;
	treeNode *children;

	void removeCharacterFromDepth(int depth);
public:
	treeString(const char *creationString, treeNode *children, const int highestDepth);
	~treeString();

	treeNode *getChildAt(int depth);
};

#endif
