//Master Lenman's Steganography Suite - MLSS
//Entry point for the application.
//The main function decides which function to call.

#ifndef MLSS_MAINFUNCTION
#define MLSS_MAINFUNCTION

#include <string>

//Returns a string version of an integer
std::string int2str(int i);

//Returns an integer version of a string
int str2int(std::string strng);

//Returns filesize in byte
unsigned int getFileSize(std::string filename);

//Shows a byte as binary code in output
void byteAsBin(unsigned char byte, std::ostream *target);

//Returns the file suffix from any path
std::string getSuffix(std::string path);

#endif
