#ifndef MLSS_STEGANORETRIEVE
#define MLSS_STEGANORETRIEVE

unsigned char retrieve16Byte1(std::ifstream &input, encryptClass *encryption);
unsigned char retrieve16Byte2(std::ifstream &input, encryptClass *encryption);
unsigned char retrieveByte1(std::ifstream &input, encryptClass *encryption);
unsigned char retrieveByte2(std::ifstream &input, encryptClass *encryption);
unsigned char retrieveByte4(std::ifstream &input, encryptClass *encryption);

int steganoRetrieve(int argc, char **argv);
void showRetrieveHelp();

class retrieveArgs
{
public:
	retrieveArgs();
	bool error;
	std::string hostfile;
	encryptClass *encryption;
	int bitsperbyte;
	unsigned char (*retrieveByte)(std::ifstream &input, encryptClass *encryption);
};

bool retrieveData(std::ifstream &in, encryptClass *encryption, unsigned char (*retrieveByte)(std::ifstream &input, encryptClass *encryption));

retrieveArgs getRetrieveArgs(int argc, char **argv);

#endif
